[mapguide-commits] r10106 - branches/4.0/MgDev
svn_mapguide at osgeo.org
svn_mapguide at osgeo.org
Fri Aug 23 02:52:38 PDT 2024
Author: jng
Date: 2024-08-23 02:52:37 -0700 (Fri, 23 Aug 2024)
New Revision: 10106
Modified:
branches/4.0/MgDev/cmake_linuxapt.sh
Log:
Update cmake_linuxapt.sh to look for ant in ANT_HOME if not globally present
Modified: branches/4.0/MgDev/cmake_linuxapt.sh
===================================================================
--- branches/4.0/MgDev/cmake_linuxapt.sh 2024-08-23 09:51:38 UTC (rev 10105)
+++ branches/4.0/MgDev/cmake_linuxapt.sh 2024-08-23 09:52:37 UTC (rev 10106)
@@ -239,7 +239,18 @@
echo "Installing Fusion"
cd "${SOURCE_DIR}/Oem/fusion" || exit
-ant deploy -Ddeploy.home=${MG_INSTALL_WEB_PREFIX}/www/fusion
+ANT_CMD=ant
+which $ANT_CMD
+if [ $? -ne 0 ]; then
+ echo "ant not found globally. Falling back to ANT_HOME env var"
+ ANT_CMD=$ANT_HOME/bin/ant
+ which $ANT_CMD
+ if [ $? -ne 0 ]; then
+ echo "FATAL: ant not found"
+ exit 1
+ fi
+fi
+$ANT_CMD deploy -Ddeploy.home=${MG_INSTALL_WEB_PREFIX}/www/fusion
chown daemon:daemon "${MG_INSTALL_WEB_PREFIX}/www/fusion/lib/tcpdf/cache"
cp -R "${SOURCE_DIR}/Oem/fusionMG/templates" "${MG_INSTALL_WEB_PREFIX}/www/fusion"
# Since we're here, set up the temp dir and chown that as well
More information about the mapguide-commits
mailing list